# LobeChat Cloudflare Workers AI 图像生成插件

这是一个LobeChat插件，使用[Cloudflare Workers AI](https://developers.cloudflare.com/workers-ai/)的`@cf/black-forest-labs/flux-1-schnell`模型生成高质量图像。

## 功能特点

- 使用Cloudflare的Flux-1-Schnell模型生成高质量图像
- 通过Cloudflare Worker代理请求，简化认证过程
- 直接在LobeChat对话中生成和查看图像

## 设置步骤

1. 设置Cloudflare Worker
   - 将提供的Worker代码部署到Cloudflare Workers
   - 在Worker设置中配置以下环境变量（Secrets）：
     - `WORKER_API_KEY`: 设置一个安全的API密钥，用于客户端认证
     - `CLOUDFLARE_API_TOKEN`: 你的Cloudflare API令牌
     - `CLOUDFLARE_ACCOUNT_ID`: 你的Cloudflare账户ID

2. 在LobeChat中配置插件
   - 将此插件添加到LobeChat
   - 在配置页面中：
     - 将你的Worker API密钥配置为`WORKER_API_KEY`
     - 确保Worker URL配置正确

## 身份验证和参数

此插件使用以下配置访问你的Cloudflare Worker：
- Worker API密钥：用作X-Api-Key请求头
- 每次使用此插件时，你只需要提供图像描述（prompt）
- Worker会自动使用配置的凭证调用Cloudflare AI API

## 使用说明

1. 在聊天中，请求生成图像，例如：
   - "画一只站在山顶上的猫"
   - "生成一幅海滩日落的风景画"

2. 支持的参数：
   - prompt：图像描述（必需，最大2048字符）
   - steps：扩散步骤数（可选，默认4，最大8）
   
   例如："生成一幅宇航员骑马的图像，使用8个扩散步骤"

## API格式示例

```bash
curl https://[your-worker-name].[your-account-name].workers.dev \
  -X POST \
  -H "X-Api-Key: <YOUR_WORKER_API_KEY>" \
  -d '{ "prompt": "cyberpunk cat", "steps": 8 }'
```

## 限制

- 根据你的Cloudflare账户类型，可能有使用限制
- Flux-1-Schnell模型有自己的能力范围，不是所有提示都能产生理想结果
- 扩散步骤数越大，生成时间越长，但质量可能更高

## 隐私

- 你的提示文本将通过Worker发送到Cloudflare AI API
- 此插件不会收集或存储你的个人数据
- 生成的图像通过Worker直接返回给你的浏览器

`(与上述任何实体均无关联)`
